#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	xvfb-run -a dh_auto_test
endif

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/gnome-color-manager/usr/share/doc/gnome-color-manager
	appstream-util appdata-to-news $(CURDIR)/*/data/appdata/org.gnome.ColorProfileViewer.appdata.xml \
	> debian/gnome-color-manager/usr/share/doc/gnome-color-manager/NEWS
